Skip to main content
GET
/
forums
/
{id}
Retrieve forum
curl --request GET \
  --url https://api.whop.com/api/v1/forums/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/forums/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/forums/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "experience": {
    "id": "exp_xxxxxxxxxxxxxx",
    "name": "Trading Signals Chat"
  },
  "id": "<string>"
}
{
"error": {
"code": "parameter_missing",
"message": "Missing required parameter: amount.",
"param": "amount",
"type": "invalid_request_error"
}
}
{
"error": {
"message": "Invalid or missing API key",
"type": "unauthorized"
}
}
{
"error": {
"message": "You do not have permission to access this resource",
"type": "forbidden"
}
}
{
"error": {
"message": "Resource not found",
"type": "not_found"
}
}
{
"error": null
}
{
"error": null
}
{
"error": {
"message": "An unexpected error occurred",
"type": "internal_server_error"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the forum or experience to retrieve.

Response

A successful response

A discussion forum where members can create posts, comment, and react, belonging to an experience.

email_notification_preference
enum<string>
required

The email notification setting that controls which posts trigger email alerts. One of: all_admin_posts, only_weekly_summary, none.

Available options:
all_admin_posts,
only_weekly_summary,
none
experience
object
required

The parent experience that this forum belongs to.

id
string
required

The unique identifier for the entity

who_can_comment
enum<string>
required

The permission level controlling who can comment on posts. One of: everyone, admins.

Available options:
everyone,
admins
who_can_post
enum<string>
required

The permission level controlling who can create new posts. One of: everyone, admins.

Available options:
everyone,
admins